Data - Retrieve Performance Counters

Recupera l'elenco dei contatori delle prestazioni associati all'ID entità specificato.

GET http://<Servername>/OperationsManager/data/performanceCounters/{entityId}

Parametri dell'URI

Nome In Necessario Tipo Descrizione
entityId
path True

string

Specificare l'ID entità

Risposte

Nome Tipo Descrizione
200 OK

PerformanceCounterDataResponse

OK. Contatori delle prestazioni recuperati correttamente.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Esempio

RetrievePerformanceCounters

Esempio di richiesta

GET http://<Servername>/OperationsManager/data/performanceCounters/38D48350-6BBC-D158-E217-2237AF53D611

Risposta di esempio

{
  "tableColumns": [
    {
      "field": "objectname",
      "header": "ObjectName",
      "type": null,
      "hidden": false
    },
    {
      "field": "countername",
      "header": "CounterName",
      "type": null,
      "hidden": false
    },
    {
      "field": "instancename",
      "header": "InstanceName",
      "type": null,
      "hidden": false
    }
  ],
  "rows": [
    {
      "objectname": "Process",
      "countername": "Percent Processor Time",
      "instancename": "cshost"
    },
    {
      "objectname": "Process",
      "countername": "Private Bytes",
      "instancename": "cshost"
    }
  ]
}

Definizioni

Nome Descrizione
PerformanceCounterData
PerformanceCounterDataResponse

PerformanceCounterData

Nome Tipo Descrizione
counterName

string

Nome contatore

instanceName

string

Nome istanza

objectFullName

string

Nome completo dell'oggetto

objectId

string

ID dell'oggetto.

objectName

string

Nome oggetto

parentObjectId

string

ID oggetto padre

PerformanceCounterDataResponse

Nome Tipo Descrizione
performanceCounterDatas

PerformanceCounterData[]

Elenco dei contatori delle prestazioni